Last Comment Bug 701370 - URL Bar needs affordance
: URL Bar needs affordance
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: All Android
: P3 normal (vote)
: ---
Assigned To: Sriram Ramasubramanian [:sriram]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-10 07:43 PST by Madhava Enros [:madhava]
Modified: 2016-07-29 14:20 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
Patch (43.74 KB, patch)
2011-11-15 15:43 PST, Sriram Ramasubramanian [:sriram]
no flags Details | Diff | Splinter Review
Comparison with spec (45.25 KB, image/png)
2011-11-15 15:44 PST, Sriram Ramasubramanian [:sriram]
no flags Details
Patch (43.74 KB, patch)
2011-11-15 15:54 PST, Sriram Ramasubramanian [:sriram]
mark.finkle: review+
Details | Diff | Splinter Review

Description Madhava Enros [:madhava] 2011-11-10 07:43:47 PST
Right now, the title bar features the current site's favicon and title on a grey background. Nothing about this looks particularly tappable -- we've seen users have issues with this kind of thing in previous user-feedback sessions, which is why previous versions of fennec tried to make this area more button-like.

Here, to help people make the connection from URL/location-fields they're familiar with on the desktop, we should put the favicon and title in a field, as demonstrated in this mockup:

http://www.flickr.com/photos/61892693@N03/6309082243/in/photostream/


Helps with bug 700943.
Comment 1 Sriram Ramasubramanian [:sriram] 2011-11-15 15:43:11 PST
Created attachment 574712 [details] [diff] [review]
Patch

This patch adds affordance to the URL bar.
The resources have been put in mdpi and hdpi folders as Android demands it.
The tabs related resources have been replicated in appropriate folders.
I'm not sure about the specs for the border around the URL bar. I have added a "2dip" line around it. If needed, we can modify it easily (as it is just a shape).
I've tested it in different devices and the screenshot looks good. :)
Comment 2 Sriram Ramasubramanian [:sriram] 2011-11-15 15:44:46 PST
Created attachment 574713 [details]
Comparison with spec

I've tried to match the spec as much as possible.
The first two images are from Ian.
The third is from a screenshot.
The fourth is an overlay of third over second.
Comment 3 Sriram Ramasubramanian [:sriram] 2011-11-15 15:54:16 PST
Created attachment 574715 [details] [diff] [review]
Patch

There was a bad reference in the Makefile in the old patch. That has been rectified in this patch.
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-16 13:53:15 PST
https://hg.mozilla.org/projects/birch/rev/a60e0f9f5207
Comment 5 Aaron Train [:aaronmt] 2011-11-17 06:30:59 PST
Samsung Nexus S (Android 2.3.6)
20111117040329
http://hg.mozilla.org/projects/birch/rev/d7fa4814218d

Note You need to log in before you can comment on or make changes to this bug.